Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.dom.css
Interface CSSStyleSheet

All Superinterfaces:
  StyleSheet

public interface CSSStyleSheet
extends StyleSheet

The `CSSStyleSheet` interface is a concrete interface used to represent a CSS style sheet i.e., a style sheet whose content type is "text/css".

See also the Document Object Model (DOM) Level 2 Style Specification.

Since:
  DOM Level 2

Method Summary
`void` | `deleteRule(int index)` Used to delete a rule from the style sheet.
`CSSRuleList` | `getCssRules()` The list of all CSS rules contained within the style sheet.
`CSSRule` | `getOwnerRule()` If this style sheet comes from an `@import` rule, the `ownerRule` attribute will contain the `CSSImportRule`.
`int` | `insertRule(java.lang.String rule, int index)` Used to insert a new rule into the style sheet.

Methods inherited from interface org.w3c.dom.stylesheets.StyleSheet
`getDisabled, getHref, getMedia, getOwnerNode, getParentStyleSheet, getTitle, getType, setDisabled`

Method Detail

### getOwnerRule

    public CSSRule getOwnerRule()

  If this style sheet comes from an `@import` rule, the `ownerRule` attribute will contain the `CSSImportRule`. In that case, the `ownerNode` attribute in the `StyleSheet` interface will be `null`. If the style sheet comes from an element or a processing instruction, the `ownerRule` attribute will be `null` and the `ownerNode` attribute will contain the `Node`.

### getCssRules

    public CSSRuleList getCssRules()

  The list of all CSS rules contained within the style sheet. This includes both rule sets and at-rules.

### insertRule

    public int insertRule(java.lang.String rule,
                          int index)
                   throws DOMException

  Used to insert a new rule into the style sheet. The new rule now becomes part of the cascade.
  Parameters:
    `rule` - The parsable text representing the rule. For rule sets this contains both the selector and the style declaration. For at-rules, this specifies both the at-identifier and the rule content.
    `index` - The index within the style sheet's rule list of the rule before which to insert the specified rule. If the specified index is equal to the length of the style sheet's rule collection, the rule will be added to the end of the style sheet.
  Returns:
    The index within the style sheet's rule collection of the newly inserted rule.
  Throws:
    `DOMException` - HIERARCHY_REQUEST_ERR: Raised if the rule cannot be inserted at the specified index e.g. if an `@import` rule is inserted after a standard rule set or other at-rule.
    INDEX_SIZE_ERR: Raised if the specified index is not a valid insertion point.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this style sheet is readonly.
    SYNTAX_ERR: Raised if the specified rule has a syntax error and is unparsable.

### deleteRule

    public void deleteRule(int index)
                    throws DOMException

  Used to delete a rule from the style sheet.
  Parameters:
    `index` - The index within the style sheet's rule list of the rule to remove.
  Throws:
    `DOMException` - INDEX_SIZE_ERR: Raised if the specified index does not correspond to a rule in the style sheet's rule list.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this style sheet is readonly.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2004 Apache XML Project. All Rights Reserved.